Bug 1282828 - Bump perl-Test-TCP version in epel7
Bump perl-Test-TCP version in epel7
Product: Fedora EPEL
Classification: Fedora
Component: perl-Test-TCP (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
Depends On: 1284623
  Show dependency treegraph
Reported: 2015-11-17 09:52 EST by Denis Fateyev
Modified: 2016-02-07 21:23 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-Test-TCP-2.14-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-07 21:23:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2015-11-17 09:52:29 EST
Is it possible to bump `perl-Test-TCP` version in epel7 branch to more recent?

Some of modules by TOKUHIROM require 2.11 and above while testing, and it's a bit annoying to build them in rhel7 with the current 2.01 there.
Comment 1 Denis Fateyev 2015-11-23 12:17:40 EST
FYI, it can be updated for epel7 without much effort. According the spec in rawhide, there are dependencies for 2.14:

BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.64
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Socket::IP)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Socket)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::SharedFork) >= 0.29
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(warnings)

perl(ExtUtils::MakeMaker) = 6.68
perl(Test::More) = 0.98

Test::SharedFork version bump requested in RHBZ#1284623 (which is also straightforward). You can even push both updates at once using Buildroot override.
Comment 2 Denis Fateyev 2015-11-30 05:10:02 EST
perl-Test-TCP: requested commit acls to update in epel.
Comment 3 Fedora Update System 2016-01-22 13:35:57 EST
perl-Test-TCP-2.14-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b8e0d9cc4
Comment 4 Fedora Update System 2016-01-23 23:22:42 EST
perl-Test-TCP-2.14-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b8e0d9cc4
Comment 5 Fedora Update System 2016-02-07 21:23:32 EST
perl-Test-TCP-2.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.